/* contact-source-factory.vala
 *
 * Copyright (C) 2008 Ali Sabil <ali.sabil@gmail.com>
 * Copyright (C) 2008 Johann Prieur <johann.prieur@gmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA
 *
 */

using Gee;

using People;
using People.Utils;


namespace People.Backend.Dummy {

	public class ContactSourceFactory : Backend.BaseContactSourceFactory {

		public override Backend.ContactSourceParamSpec[] get_parameters () {
			var parameters = new Backend.ContactSourceParamSpec[2];
			parameters[0] = new Backend.ContactSourceParamSpec ("contacts",
				typeof(Gee.Set<Backend.Contact>), Backend.ContactSourceParamFlags.MANDATORY);
			parameters[1] = new Backend.ContactSourceParamSpec ("asynchronous",
				typeof(bool), Backend.ContactSourceParamFlags.MANDATORY);
			return parameters;
		}

		public override AsyncOperation<Backend.ContactSource> get_contact_source (Map<string, string>? parameters) {
			// FIXME: the Backend.ContactSourceFactory doesn't support parameters
			// other than string for now, so better make a direct use of ContactSource
			// instead of using the factory
			return sync_result (new ContactSource(new Gee.HashSet<Backend.Contact> (), false));
		}
	}

}
