

using Gee;

using People;


namespace People.Backend.Dummy.Test {

	public class ContactSource : People.Backend.Test.ContactSource {
		public bool asynchronous {
			private get;
			private construct;
		}

		public ContactSource (bool asynchronous) {
			this.asynchronous = asynchronous;
		}

		protected override void initialize () {
			if (asynchronous) {
				backend_name = "Dummy[asynchronous]";
			} else {
				backend_name = "Dummy[synchronous]";
			}
			contact_source_flags = Backend.ContactSourceFlags.CAN_CREATE_CONTACT;
			contacts_count = 2;
			valid_contact_handle = "foo-bar";
			invalid_contact_handle = "abcd-wzyx";

			base.initialize ();
		}

		protected override void set_up () {
			var contacts = new Gee.HashSet<Backend.Contact> ();

			var f0 = new HashMap<string, string> (str_hash, str_equal, str_equal);
			var c0 = new Backend.Dummy.Contact ("foo-bar", f0, contacts, asynchronous);
			contacts.add (c0);

			var f1 = new HashMap<string, string> (str_hash, str_equal, str_equal);
			var c1 = new Backend.Dummy.Contact ("ali-baboul", f1, contacts, asynchronous);
			contacts.add (c1);

			contact_source = new Backend.Dummy.ContactSource (contacts, asynchronous);

			base.set_up ();
		}

		static int main (string[] args) {
			var sync_suite = new ContactSource (false);
			var async_suite = new ContactSource (true);
			return (sync_suite.run () + async_suite.run ());
		}

	}
}
