using Gee;

using People.Utils;


namespace People.Backend.Dummy.Test  {

	class DelayedOperation : TestIt.Suite {

		Set<Dummy.DelayedOperation> operations;
		People.Utils.AsyncOperation<string> op;

		bool callback_called;

		protected override void initialize () {
			name = "Dummy::DelayedOperation";
			add_test_case ("delayed callback", test_delayed_callback);
		}

		protected override void set_up () {
			operations = new HashSet<Dummy.DelayedOperation> ();
			op = new People.Utils.AsyncOperation<string>();
			callback_called = false;

			base.set_up ();
		}

		protected override void tear_down () {
			operations = null;
			op = null;

			base.tear_down ();
		}

		private void test_delayed_callback () {
			op.add_callback (callback);

			var delayed = new Dummy.DelayedOperation<string> (operations, op, "result", 100);
			operations.add (delayed);

			async_wait ();

			assert_true (callback_called);
		}

		public void callback(People.Utils.AsyncOperation<string> op, void* user_data) {
			callback_called = true;

			assert_true (op.get_result () == "result");

			async_break ();
		}

		static int main(string[] args) {
			var suite = new DelayedOperation();
			return suite.run();
		}

	}
}
