

using Gee;

using People;


namespace People.Backend.Dummy.Test {

	public class ContactNew : People.Backend.Test.Contact {
		public bool asynchronous {
			private get;
			private construct;
		}

		public ContactNew (bool asynchronous) {
			this.asynchronous = asynchronous;
		}

		private Gee.Set<Backend.Contact> contacts;

		protected override void initialize () {
			if (asynchronous) {
				backend_name = "Dummy[asynchronous]";
			} else {
				backend_name = "Dummy[synchronous]";
			}
			contact_id = null;
			contact_flags = Backend.ContactFlags.EDITABLE | Backend.ContactFlags.DELETABLE;

			base.initialize ();
		}

		protected override void set_up () {
			contacts = new Gee.HashSet<Backend.Contact> ();
			var fields = new HashMap<string, string> (str_hash, str_equal, str_equal);
			contact = new Backend.Dummy.Contact (null, fields, contacts, asynchronous);

			mandatory_fields.add ("identity.name.first");
			mandatory_fields.add ("identity.name.last");

			base.set_up ();
		}

		static int main(string[] args) {
			var sync_suite = new ContactNew (false);
			var async_suite = new ContactNew (true);
			return (sync_suite.run () + async_suite.run ());
		}

	}
}
