


using People;


namespace People.Backend.Dummy.Test {

	public class ContactSaved : People.Backend.Test.Contact {
		public bool asynchronous {
			private get;
			private construct;
		}

		public ContactSaved (bool asynchronous) {
			this.asynchronous = asynchronous;
		}

		private Gee.Set<Backend.Contact> contacts;

		protected override void initialize () {
			if (asynchronous) {
				backend_name = "Dummy[asynchronous]";
			} else {
				backend_name = "Dummy[synchronous]";
			}
			contact_id = "foo-bar";
			contact_flags = Backend.ContactFlags.EDITABLE | Backend.ContactFlags.DELETABLE;

			base.initialize ();
		}

		protected override void set_up () {
			contacts = new Gee.HashSet<Backend.Contact> ();

			var fields = new Gee.HashMap<string, string>(str_hash, str_equal, str_equal);
			fields.set ("identity.name.first", "foo");
			fields.set ("identity.name.last", "bar");

			contact = new Backend.Dummy.Contact ("foo-bar", fields, contacts, asynchronous);
			contacts.add (contact);

			mandatory_fields.add ("identity.name.first");
			mandatory_fields.add ("identity.name.last");

			defined_fields.add ("identity.name.first");
			defined_fields.add ("identity.name.last");

			base.set_up ();
		}

		static int main(string[] args) {
			var sync_suite = new ContactSaved (false);
			var async_suite = new ContactSaved (true);
			return (sync_suite.run () + async_suite.run ());
		}

	}
}
