

using Soup;

using People;


namespace People.Backend.Dummy.Test {

	public class ContactSource : People.Backend.Test.ContactSource {
		protected override void initialize () {
			backend_name = "Google";
			contact_source_flags = Backend.ContactSourceFlags.NEED_NETWORK;
			contacts_count = 2;
			valid_contact_handle = "1";
			invalid_contact_handle = "23456";

			base.initialize ();
		}

		protected override void set_up () {
			var session = new Soup.SessionSync ();
			var msg = Soup.form_request_new ("POST",
					"https://www.google.com/accounts/ClientLogin",
					"account_type", "HOSTED_OR_GOOGLE",
					"Email", "monsieur.baboul@gmail.com",
					"Passwd", "uncle.baboul",
					"service", "cp",
					"source", "PeopleProject-GoogleContactSource-1");
			session.send_message (msg);
			weak MessageBody body = msg.response_body;

			string token = null;
			string[] list = body.data.split ("\n");
			foreach (string e in list) {
				string[] tmp = e.split ("=");
				if (tmp[0] == "Auth")
				{
					token = tmp[1];
					break;
				}
			}

			contact_source = new Backend.Google.ContactSource (token);

			base.set_up ();
		}

		static int main(string[] args) {
			var suite = new ContactSource();
			return suite.run();
		}

	}
}
