

using Soup;

using People;


namespace People.Backend.Dummy.Test {

	public class ContactNew : People.Backend.Test.Contact {

		protected override void initialize () {
			backend_name = "Google";
			contact_id = "1";
			contact_flags = Backend.ContactFlags.NONE;

			base.initialize ();
		}

		protected override void set_up () {
			var session = new Soup.SessionSync ();
			var msg = Soup.form_request_new ("POST",
					"https://www.google.com/accounts/ClientLogin",
					"account_type", "HOSTED_OR_GOOGLE",
					"Email", "monsieur.baboul@gmail.com",
					"Passwd", "uncle.baboul",
					"service", "cp",
					"source", "PeopleProject-GoogleContactSource-1");
			session.send_message (msg);
			weak MessageBody body = msg.response_body;

			string token = null;
			string[] list = body.data.split ("\n");
			foreach (string e in list) {
				string[] tmp = e.split ("=");
				if (tmp[0] == "Auth")
				{
					token = tmp[1];
					break;
				}
			}

			contact = new Backend.Google.Contact ("1", token);

			defined_fields.add ("identity.name.full");

			defined_fields.add ("activity.organization");
			defined_fields.add ("activity.title");

			defined_fields.add ("communication.email/work");
			defined_fields.add ("communication.email/home");
			defined_fields.add ("communication.email/other");

			defined_fields.add ("communication.im.jabber");
			defined_fields.add ("communication.im.google_talk");
			defined_fields.add ("communication.im.msn");
			defined_fields.add ("communication.im.icq");
			defined_fields.add ("communication.im.aim");
			defined_fields.add ("communication.im.yahoo");

			defined_fields.add ("communication.pager");
			defined_fields.add ("communication.fax/work");
			defined_fields.add ("communication.fax/home");
			defined_fields.add ("communication.phone/work");
			defined_fields.add ("communication.phone/home");
			defined_fields.add ("communication.phone/mobile");

			defined_fields.add ("communication.address/work");
			defined_fields.add ("communication.address/home");
			defined_fields.add ("communication.address/other");

			base.set_up ();
		}

		static int main(string[] args) {
			var suite = new ContactNew();
			return suite.run();
		}

	}
}
