


using People;


namespace People.Backend.Keyfile.Test {

	public class ContactSource : People.Backend.Test.ContactSource {
		private string file_path = "/tmp/people-test-keyfile-contact-source.ini";

		protected override void initialize () {
			backend_name = "Keyfile";
			contact_source_flags = Backend.ContactSourceFlags.CAN_CREATE_CONTACT;
			contacts_count = 1;
			valid_contact_handle = "foo-bar";
			invalid_contact_handle = "abcd-wzyx";

			base.initialize ();
		}

		protected override void set_up () {
			var file = FileStream.open (file_path, "w");
			file.puts ("[foo-bar]\n");
			file.puts ("communication.im.xmpp=foo@bar.org\n");
			file.puts ("communication.phone.mobile=+xxxxxxxxxxx\n");
			file.puts ("identity.name.last=Bar\n");
			file.puts ("identity.name.first=Foo\n");
			file = null;
			contact_source = new Backend.Keyfile.ContactSource (file_path);

			base.set_up ();
		}

		protected override void tear_down () {
			FileUtils.unlink (file_path);

			base.tear_down ();
		}

		static int main(string[] args) {
			var suite = new ContactSource ();
			return suite.run ();
		}

	}
}
