


using People;


namespace People.Backend.Keyfile.Test {

	public class ContactSaved : People.Backend.Test.Contact {
		private KeyFile contacts;

		protected override void initialize () {
			backend_name = "Keyfile";
			contact_id = "foo-bar";
			contact_flags = Backend.ContactFlags.EDITABLE | Backend.ContactFlags.DELETABLE;

			base.initialize ();
		}

		protected override void set_up () {
			contacts = new KeyFile();
			contacts.set_string (contact_id, "communication.im.xmpp", "foo@bar.org");
			contacts.set_string (contact_id, "communication.phone.mobile", "+123");
			contacts.set_string (contact_id, "identity.name.last", "Bar");
			contacts.set_string (contact_id, "identity.name.first", "Foo");

			contact = new Backend.Keyfile.Contact (contact_id, null, contacts);

			mandatory_fields.add ("identity.name.first");
			mandatory_fields.add ("identity.name.last");

			defined_fields.add ("identity.name.first");
			defined_fields.add ("identity.name.last");
			defined_fields.add ("communication.im.xmpp");
			defined_fields.add ("communication.phone.mobile");

			base.set_up ();
		}

		static int main (string[] args) {
			var suite = new ContactSaved ();
			return suite.run ();
		}

	}
}
