


using People;


namespace People.Backend.Sqlite.Test {

	public class ContactSourcePersistence : People.Backend.Test.ContactSourcePersistence {
		protected override void initialize () {
			backend_name = "Sqlite";

			base.initialize ();
		}

		protected override void set_up () {
			contact_source_factory = new Backend.Sqlite.ContactSourceFactory ();
			parameters = new Gee.HashMap<string, string> (str_hash, str_equal, str_equal);
			parameters.set ("db-path", "/tmp/people-test-contact-source-persistence-sqlite.db");
			contact_source = contact_source_factory.request_contact_source (parameters).get_result ();

			base.set_up ();
		}

		protected override void tear_down () {
			FileUtils.unlink (parameters.get ("db-path"));

			base.tear_down ();
		}

		static int main (string[] args) {
			var suite = new ContactSourcePersistence ();
			return suite.run ();
		}

	}
}
