


using People;


namespace People.Backend.Sqlite.Test {

	public class ContactSource : People.Backend.Test.ContactSource {
		private string db_path = "/tmp/people-test-sqlite-contact-source.db";
		private global::Sqlite.Database db;

		protected override void initialize () {
			backend_name = "Sqlite";
			contact_source_flags = Backend.ContactSourceFlags.CAN_CREATE_CONTACT;
			contacts_count = 1;
			valid_contact_handle = "1";
			invalid_contact_handle = "9999";

			base.initialize ();
		}

		protected override void set_up () {
			global::Sqlite.Database.open(db_path, out db);
			db.exec (
				"CREATE TABLE IF NOT EXISTS people(" +
					"id integer PRIMARY KEY AUTOINCREMENT," +
					"first_name string," +
					"middle_name string," +
					"last_name string," +
					"home_phone string," +
					"work_phone string," +
					"mobile_phone string," +
					"home_email string," +
					"work_email string" +
				");");
			db.exec ("INSERT INTO people (middle_name, last_name) VALUES (\"Foo\", \"Bar\")");
			db = null;

			contact_source = new Backend.Sqlite.ContactSource (db_path);

			base.set_up ();
		}

		protected override void tear_down () {
			FileUtils.unlink (db_path);

			base.tear_down ();
		}

		static int main(string[] args) {
			var suite = new ContactSource ();
			return suite.run ();
		}

	}
}
