/* contact-source-factory.vala
 *
 * Copyright (C) 2008 Jiqing Qiang <jiqing.qiang@gmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA
 *
 */

using Gee;

using People;
using People.Utils;


namespace People.Backend.Twitter {

	public class ContactSourceFactory : Backend.BaseContactSourceFactory {

		public override Backend.ContactSourceParamSpec[] get_parameters () {
			var parameters = new Backend.ContactSourceParamSpec[2];
			parameters[0] = new Backend.ContactSourceParamSpec ("account",
					typeof (string), Backend.ContactSourceParamFlags.MANDATORY);
			parameters[1] = new Backend.ContactSourceParamSpec ("password",
					typeof(string), Backend.ContactSourceParamFlags.MANDATORY |
					                ContactSourceParamFlags.HIDDEN);
			return parameters;
		}

		public override AsyncOperation<Backend.ContactSource> get_contact_source (Map<string, string>? parameters) {
			return sync_result (new ContactSource (parameters.get("account"), parameters.get("password")));
		}
	}

}
