

using Soup;

using People;


namespace People.Backend.Twitter.Test {
	public class ContactSaved : People.Backend.Test.Contact {

		protected override void initialize () {
			backend_name = "Twitter";
			contact_id = "lethu";
			contact_flags = Backend.ContactFlags.NONE;

			base.initialize ();
		}

		protected override void set_up () {
			var session = new Soup.SessionAsync ();
			session.authenticate += (session, message, auth, retry) => {
				auth.authenticate ("asabil", "kernel");
			};
			contact = new People.Backend.Twitter.Contact ("lethu", session);

			defined_fields.add ("identity.name.full");
			defined_fields.add ("identity.name.nickname");
			defined_fields.add ("identity.location");
			defined_fields.add ("identity.description");
			defined_fields.add ("communication.web.twitter.avatar");
			defined_fields.add ("communication.web.url");
			base.set_up ();
		}

		protected override void tear_down () {
			contact = null;
			base.tear_down ();
		}

		static int main(string[] args) {
			var suite = new ContactSaved ();
			return suite.run ();
		}

	}
}
