/* contact-manager.vala
 *
 * Copyright (C) 2008 Ali Sabil <ali.sabil@gmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA
 *
 */

using Gee;


namespace PeopleService {

	public class ContactManager : Object {

		public DBus.Connection connection {
			get;
			private set construct;
		}

		public weak AddressBook address_book {
			get;
			private set construct;
		}

		private Map<string, PeopleService.Contact> contacts;

		construct {
			contacts = new HashMap<string, PeopleService.Contact> (str_hash, str_equal);
		}

		public ContactManager (DBus.Connection connection, AddressBook address_book) {
			this.connection = connection;
			this.address_book = address_book;
		}

		public PeopleService.Contact get_service_contact (People.Contact contact) {
			if (contacts.contains (contact.id))
				return contacts.get (contact.id);

			var service_contact = new PeopleService.Contact (connection,
					contact.id, contact, address_book);
			contacts.set (contact.id, service_contact);
			return service_contact;
		}
	}

}
