/* base-service.vala
 *
 * Copyright (C) 2008 Ali Sabil <ali.sabil@gmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA
 *
 */



namespace PeopleService {

	public abstract class DBusObject : Object {
		protected const string bus_name = "net.launchpad.People";

		public string object_path {
			get;
			set construct;
		}

		public DBus.Connection connection {
			get;
			set construct;
		}

		construct {
			debug ("Registering object %s", object_path);
			connection.register_object (new DBus.ObjectPath (object_path), this);
		}


	}

}
