
namespace People.Backend.Test {

	class ContactFieldSpec : Core.Trial.Suite {
		private People.Backend.ContactFieldSpec field_spec;

		protected override void initialize () {
			name = "People::ContactFieldSpec";
			add_test_case ("flags", test_flags);
			add_test_case ("annotation set", test_annotation_set);
			add_test_case ("annotation unset", test_annotation_unset);
		}

		protected override void set_up () {
			var annotations = new Core.Container.HashSet<string>(GLib.str_hash, GLib.str_equal);
			annotations.add("phone");
			field_spec = new People.Backend.ContactFieldSpec(People.Backend.ContactFieldFlags.WRITABLE,
					annotations);
		}

		protected override void tear_down () {
			field_spec = null;
		}

		private void test_flags() {
			assert_true (field_spec.flags == People.Backend.ContactFieldFlags.WRITABLE);
		}

		private void test_annotation_set() {
			assert_true (field_spec.has_annotation("phone"));
		}

		private void test_annotation_unset() {
			assert_false (field_spec.has_annotation("crack"));
		}

		static int main(string[] args) {
			var suite = new ContactFieldSpec();
			return suite.run();
		}
	}
}
