
namespace People.Backend.Test {

	class ContactSourceParamSpec : Core.Trial.Suite {
		private People.Backend.ContactSourceParamSpec parameter;

		protected override void initialize () {
			name = "People::ContactSourceParamSpec";
			add_test_case ("name", test_name);
			add_test_case ("flags", test_flags);
			add_test_case ("type", test_type);
		}

		protected override void set_up () {
			parameter = new People.Backend.ContactSourceParamSpec("param-name",
				typeof(string), People.Backend.ContactSourceParamFlags.MANDATORY);
		}

		protected override void tear_down () {
			parameter = null;
		}

		private void test_name() {
			assert_true (parameter.name == "param-name");
		}

		private void test_flags() {
			assert_true (parameter.flags == People.Backend.ContactSourceParamFlags.MANDATORY);
		}

		private void test_type() {
			assert_true (parameter.gtype == typeof(string));
		}

		static int main(string[] args) {
			var suite = new ContactSourceParamSpec();
			return suite.run();
		}
	}
}
