/* config.vala
 *
 * Copyright (C) 2008 Ali Sabil <ali.sabil@gmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA
 *
 */

using Gee;

namespace People {

	public interface Config : Object {
		public abstract string data_dir {
			get;
			set construct;
		}

		public abstract Gee.Set<string> list_contact_sources ();
		public abstract string? get_contact_source_class (string source_id);
		public abstract Gee.Map<string, string>? get_contact_source_parameters (string source_id);

		public abstract Gee.Set<string> list_address_books ();
		public abstract Gee.List<string>? get_address_book_sources (string address_book_id);
		public abstract Gee.Set<Gee.List<string>>? get_address_book_meta_contacts (string address_book_id);
	}
}
